/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ParamAcumulaMasivo;
import java.text.SimpleDateFormat;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderSendaAmigoParamAcumulaMasivo implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ParamAcumulaMasivo pam = (ParamAcumulaMasivo) o;

        Listcell lc = new Listcell(pam.getParamacumulamasivo().toString());
        lc.setParent(lstm);

        lc = new Listcell(pam.getEmpresa().getNombempresa());
        lc.setParent(lstm);

        SimpleDateFormat sf = new SimpleDateFormat("dd/MM/yyyy");
        lc = new Listcell(sf.format(pam.getFeciniciovigencia()));
        lc.setParent(lstm);

        lc = new Listcell(sf.format(pam.getFecfinvigencia()));
        lc.setParent(lstm);


        lc = new Listcell(pam.getMinpuntootorga().toString());
        lc.setParent(lstm);

        lc = new Listcell(pam.getMaxpuntootorga().toString());
        lc.setParent(lstm);

        lstm.setAttribute("data", pam);
    }
}
